# Poco::Data::SQLChannel

# class LogNotification

Library: Data
Package: Logging
Header: Poco/Data/SQLChannel.h

## Inheritance

Direct Base Classes: Poco::Notification

All Base Classes: Poco::Notification, Poco::RefCountedObject

## Member Summary

Member Functions: message

Inherited Functions: duplicate, name, referenceCount, release

## Types Aliases

### Ptr

using Ptr = Poco::AutoPtr < LogNotification >;

## Constructors

### LogNotification

LogNotification(
const Poco::Message & message
);

## Member Functions

### message

const Poco::Message & message() const;